@import '../../styles/variables.scss';

.preloader {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;

  &:before {
    content: '';
    display: inline-block;

    flex-shrink: 0;
    border-radius: 50%;

    border-right-width: 4px;
    border-bottom-width: 4px;
    border-right-style: solid;
    border-bottom-style: solid;
    border-left-color: transparent;
    border-top-color: transparent;

    border-left-width: 4px;
    border-top-width: 4px;
    border-left-style: solid;
    border-top-style: solid;
    animation: preloader 0.4s linear infinite;
    box-sizing: border-box;
  }

  &.__l {
    &:before {
      width: 48px;
      height: 48px;
    }
  }

  &.__m {
    &:before {
      width: 36px;
      height: 36px;
    }
  }

  &.__s {
    &:before {
      width: 24px;
      height: 24px;

      border-left-width: 2px;
      border-top-width: 2px;
      border-right-width: 2px;
      border-bottom-width: 2px;
    }
  }

  &.__black {
    &:before {
      border-right-color: $black;
      border-bottom-color: $black;
    }
  }

  &.__white {
    &:before {
      border-right-color: $white;
      border-bottom-color: $white;
    }
  }

  &.__red {
    &:before {
      border-right-color: $red;
      border-bottom-color: $red;
    }
  }
}

@-webkit-keyframes preloader {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
